0
0 ItemsHK$0.00

10mH Radial Leaded Power Inductors :

29 Products Found
Find a huge range of 10mH Radial Leaded Power Inductors at e絡盟 Hong Kong. We stock a wide range of Radial Leaded Power Inductors, such as 10µH, 100µH, 1mH & 220µH Radial Leaded Power Inductors from the worlds top manufacturers including: Wurth Elektronik, Coilcraft, Kemet, Bourns & Murata

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price For
Price
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
2062709

RoHS

Each
1+HK$8.550
5+HK$7.780
10+HK$7.010
25+HK$6.110
50+HK$5.620
More Pricing...
1300R Series
10mH
Unshielded
85mA
85mA
23.8ohm
± 10%
2457930

RoHS

Each
1+HK$12.420
5+HK$11.480
10+HK$10.530
25+HK$9.700
50+HK$8.610
More Pricing...
RFC1010 Series
10mH
Unshielded
210mA
290mA
15.5ohm
± 10%
2434815

RoHS

Each
1+HK$2.720
10+HK$2.270
50+HK$1.980
100+HK$1.860
200+HK$1.720
More Pricing...
RLB Series
10mH
Unshielded
34mA
-
39ohm
± 10%
3373453

RoHS

Each
1+HK$109.410
5+HK$102.590
10+HK$95.770
20+HK$94.000
40+HK$92.230
More Pricing...
1140 Series
10mH
-
1A
2.1A
2.76ohm
± 10%
2457827

RoHS

Each
1+HK$12.660
5+HK$11.720
10+HK$10.770
25+HK$9.950
50+HK$8.810
More Pricing...
RFB1010 Series
10mH
Unshielded
180mA
190mA
19ohm
± 10%
1077043

RoHS

Each
1+HK$11.100
5+HK$9.790
10+HK$8.470
20+HK$8.150
40+HK$7.820
More Pricing...
2200R Series
10mH
Unshielded
63mA
-
37.4ohm
± 10%
2333677

RoHS

Each
1+HK$4.690
5+HK$4.280
10+HK$3.860
25+HK$3.380
50+HK$3.250
More Pricing...
RLB Series
10mH
Unshielded
100mA
-
12ohm
± 10%
1864395

RoHS

Each
5+HK$8.950
50+HK$5.340
250+HK$4.780
500+HK$4.340
1000+HK$4.040
More Pricing...
MP SCH series
10mH
Unshielded
140mA
-
24ohm
± 10%
2526900

RoHS

Each
1+HK$17.840
5+HK$16.530
10+HK$15.210
25+HK$13.980
50+HK$12.210
More Pricing...
RFS1317 Series
10mH
Shielded
350mA
280mA
6.55ohm
± 10%
3011807

RoHS

Each
1+HK$15.130
10+HK$11.600
50+HK$10.940
100+HK$10.200
500+HK$8.880
More Pricing...
SBCP Series
10mH
Unshielded
100mA
150mA
19.1ohm
± 10%
3373474

RoHS

Each
1+HK$5.100
5+HK$4.650
10+HK$4.200
25+HK$3.660
50+HK$3.360
More Pricing...
RLB9012 Series
10mH
-
170mA
-
25.1ohm
± 10%
3291052

RoHS

Each
1+HK$10.030
10+HK$8.310
50+HK$7.310
250+HK$6.300
500+HK$5.950
More Pricing...
SBC Series
10mH
Unshielded
120mA
280mA
16.1ohm
± 10%
3760484

RoHS

Each
1+HK$29.190
3+HK$27.490
5+HK$25.790
10+HK$24.090
20+HK$22.490
More Pricing...
1400 Series
10mH
Unshielded
400mA
-
4.34ohm
± 10%
3760528

RoHS

Each
1+HK$19.320
5+HK$17.640
10+HK$15.950
20+HK$14.680
40+HK$13.400
More Pricing...
1900R Series
10mH
Unshielded
230mA
-
7.3ohm
± 10%
3760485

RoHS

Each
1+HK$30.670
3+HK$28.860
5+HK$27.050
10+HK$25.240
20+HK$23.270
More Pricing...
1400 Series
10mH
Unshielded
500mA
-
3.6ohm
± 10%
3290976

RoHS

Each
1+HK$14.310
10+HK$10.940
50+HK$10.280
100+HK$9.620
500+HK$8.390
More Pricing...
SBC Series
10mH
Unshielded
160mA
350mA
13.6ohm
± 10%
3518439

RoHS

Each
1+HK$6.580
5+HK$6.360
10+HK$6.140
25+HK$5.850
50+HK$5.570
More Pricing...
WE-TI Series
10mH
Unshielded
130mA
160mA
24ohm
± 5%
4065994

RoHS

Each
1+HK$15.380
5+HK$15.010
10+HK$14.640
20+HK$13.770
40+HK$12.890
More Pricing...
WE-TI Series
10mH
Unshielded
180mA
180mA
16.6ohm
± 5%
2894680

RoHS

Each
1+HK$11.000
5+HK$10.700
10+HK$10.390
25+HK$10.220
50+HK$9.680
More Pricing...
WE-TI Series
10mH
Unshielded
150mA
130mA
25ohm
± 5%
2725281

RoHS

Each
1+HK$6.750
5+HK$6.270
10+HK$5.780
25+HK$5.590
50+HK$4.820
More Pricing...
RLB Series
10mH
Unshielded
120mA
50mA
25ohm
± 10%
1635804

RoHS

Each
1+HK$7.980
5+HK$7.780
10+HK$7.580
25+HK$7.320
50+HK$7.050
More Pricing...
WE-TI Series
10mH
Unshielded
140mA
170mA
24ohm
± 10%
2543228

RoHS

Each
1+HK$15.710
5+HK$14.640
10+HK$13.570
20+HK$12.940
40+HK$12.310
More Pricing...
WE-TI Series
10mH
Unshielded
230mA
290mA
9.7ohm
± 5%
2457866

RoHS

Each
1+HK$8.720
5+HK$8.080
10+HK$7.430
25+HK$6.750
50+HK$6.010
More Pricing...
RFC0807 Series
10mH
Unshielded
125mA
210mA
28ohm
± 10%
2457900

RoHS

Each
1+HK$12.580
5+HK$11.640
10+HK$10.690
25+HK$9.700
50+HK$8.660
More Pricing...
RFC0810 Series
10mH
Unshielded
170mA
210mA
19.5ohm
± 10%
2493170

RoHS

Each
1+HK$16.860
5+HK$16.820
10+HK$16.770
20+HK$16.610
40+HK$16.440
More Pricing...
WE-TI Series
10mH
Unshielded
250mA
320mA
8.5ohm
± 5%
1-25 of 29 items
of 2 page(s)

Popular Suppliers

TDK
MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY